libzypp 17.37.10

zypp::media::CredentialFileReader Class Reference

Parse credentials files and catalogs. More...

`#include <zypp-media/auth/credentialfilereader.h>`

## Public Types
using | ProcessCredentials = function<bool (AuthData_Ptr &)>
| Callback invoked for each entry found in the file.

## Public Member Functions
| CredentialFileReader (const Pathname &crfile_r, const ProcessCredentials &callback_r)
| ~CredentialFileReader ()

## Private Attributes
ProcessCredentials | _callback

## Detailed Description

Parse credentials files and catalogs.

Definition at line 30 of file credentialfilereader.h.

## Member Typedef Documentation

## ◆ ProcessCredentials

using zypp::media::CredentialFileReader::ProcessCredentials = function<bool (AuthData_Ptr &)>

Callback invoked for each entry found in the file.

Return `false` to abort parsing.

Definition at line 36 of file credentialfilereader.h.

## Constructor & Destructor Documentation

## ◆ CredentialFileReader()

zypp::media::CredentialFileReader::CredentialFileReader | ( | const Pathname & | crfile_r,
|  | const ProcessCredentials & | callback_r )

Definition at line 141 of file credentialfilereader.cc.

## ◆ ~CredentialFileReader()

zypp::media::CredentialFileReader::~CredentialFileReader | ( |  | ) |

Definition at line 144 of file credentialfilereader.cc.

## Member Data Documentation

## ◆ _callback

ProcessCredentials zypp::media::CredentialFileReader::_callback
| private

Definition at line 41 of file credentialfilereader.h.

The documentation for this class was generated from the following files:

- zypp-media/auth/credentialfilereader.h
- zypp-media/auth/credentialfilereader.cc